.body {
    background-color: #f5f3f3FF;
}

.body-two {
    background-color: #f5f3f3FF;
}

.other-body {
    background-color: #FFFFFF;
    margin-top: 80px;

}

.custom-card {
    border-radius: 20px;
}

.style-text {
    color: #39A900;
    margin: 5px;

}

.text {
    color: #FFFFFF;
    text-align: center;
}

.select {
    border-radius: 10px;
    border: 1px solid #FFFFFF;
    width: 100%;
    padding: 5px;
    color: #000;
    background: #f5f3f3FF;
}

.input {
    border-radius: 10px;
    border: 1px solid #FFFFFF;
    width: 100%;
    padding: 5px;
    color: #000;
    background: #f5f3f3FF;
}


.input::placeholder {
    color: #C1C1C1;
}

.input:focus {
    outline: none;
}

a:focus {
    outline: none;
}

.select:focus {
    outline: none;
}



.button-add-form {
    transition: background-color 0.3s ease;
    border-radius: 10px;
    border: 1px solid #39A900;
    margin-bottom: 10px;
    padding: 7px;
    color: #FFFFFF;
    background-color: #39A900;
    width: auto;
}

@media (max-width: 576px) {
    .button-add-form {
        transition: background-color 0.3s ease;
        border-radius: 10px;
        border: 1px solid #39A900;
        margin-bottom: 10px;
        padding: 7px;
        color: #FFFFFF;
        background-color: #39A900;
        width: 83%;
    }
}

@media (max-width: 884px) {
    .button-confirm {
        transition: background-color 0.3s ease;
        border-radius: 10px;
        border: 1px solid #1b094e;
        width: 30%;
        padding: 5px;
        color: #000000;
        background-color: #ffffff;
        font-family: Arial, Helvetica, sans-serif;
    }
}

@media (max-width: 884px) {
    .button-confirm:hover {
        border-radius: 10px;
        border: 1px solid #1b094e;
        width: 30%;
        padding: 5px;
        color: #FFFFFF;
        background-color: #191555;
    }
}

@media (max-width: 428px) {
    .button-confirm {
        transition: background-color 0.3s ease;
        border-radius: 10px;
        border: 1px solid #1b094e;
        width: 70%;
        padding: 5px;
        color: #000000;
        background-color: #ffffff;
        font-family: Arial, Helvetica, sans-serif;
    }
}

@media (max-width: 428px) {
    .button-confirm:hover {
        border-radius: 10px;
        border: 1px solid #1b094e;
        width: 70%;
        padding: 5px;
        color: #FFFFFF;
        background-color: #191555;
    }
}


.button-add-form:hover {
    border-radius: 10px;
    border: 1px solid #2C8D00;
    padding: 7px;
    color: #FFFFFF;
    background-color: #2C8D00;
}

.password-wrapper {
    position: relative;
}

.password-wrapper .field-icon {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
}

label {
    font-weight: bold;
    margin-left: 10px;
    font-family: Arial, Helvetica, sans-serif;
}

.label-checkbox {
    color: #000;
    font-weight: normal;
    font-family: Arial, Helvetica, sans-serif;
}

#loading-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    z-index: 9999;
}

#loading-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal {
    display: none;
    /* Oculta la ventana emergente por defecto */
    position: fixed;
    /* Permite que la ventana emergente flote sobre el contenido */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    /* Permite desplazarse por la ventana emergente si es más grande que la pantalla */
    background-color: rgb(0, 0, 0);
    /* Color de fondo semi-transparente */
    background-color: rgba(0, 0, 0, 0.4);
    /* Color de fondo semi-transparente */
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    /* Centra la ventana emergente vertical y horizontalmente */
    padding: 20px;
    border: 1px solid #888;
    width: 100%;
    /* Ancho de la ventana emergentee */

}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.clickable-row {
    cursor: pointer;
}

#mitabla #mitabla_info,
#mitabla_paginate {
    margin-top: 3px;
}


#miTabla_filter input {
    border-radius: 10px;
    border: 1px solid #ced4da;
    width: 100%;
    padding: 5px;
    background: #ffffff;

}

#miTabla_filter {
    margin-bottom: 10px;
}

#mitabla {}

#miTabla_paginate .paginate_button.current {
    color: #39A900 !important;
    /* Cambia el color aquí */
    /* Otros estilos que desees aplicar */

}

#mitabla_paginate .paginate_button {
    border-radius: 10px;
    padding: 5px;
    color: #000;
}

#mitabla_paginate .paginate_button:hover {
    border-radius: 10px;
    padding: 5px;
    color: #9c9999;

}

#mitabla_paginate .paginate_button.current {
    border-radius: 10px;
    padding: 5px;
    color: #000;

}

#mitabla_paginate .paginate_button.current:hover {
    border-radius: 10px;
    padding: 5px;
    color: #9c9999;
}

/*footer
.text-footer {
color: #FFFFFF;
text-align: center;
font-size: 15px;
}*/

/*Titulo formulario de registro de usuarios*/
.title-container {
    font-family: Arial, Helvetica, sans-serif;
    margin-top: 10px;
    margin-bottom: 10px ;

}

.page-title-formulario {
    color: rgb(14, 104, 14);
    /* Color verde para el primer título */
}

.page-title-registro {
    color: rgb(8, 8, 70);
    font-weight: 800;
}

.page-title {
    font-size: 45px;
    margin: 0;
}

@media (max-width: 361px) {
    .page-title {
        font-size: 30px;
        margin: 0;
    }
}


/*cuadrado del register*/
.outer-container {
    border: 1px solid #ccc;
    padding: 5px;
    border-radius: 20px;
    /* Esquinas inferiores más redondeadas */

    background-color: #ffffff;

    width: calc(75% + 20px);
    margin: auto;
}

.custom-select-wrapper {
    position: relative;
}

/*Aceptar condiciones*/
.popup-button {
    background-color: rgb(8, 8, 70);
    color: white;
    /* Para asegurar que el texto sea legible */
}

.popup-button:hover {
    background-color: #05054f;
    /* Cambiar el color al pasar el cursor */
}

.error-message {
    color: rgb(0, 49, 83);
    font-weight: bold;
    display: none;
    position: absolute;
    margin-top: -20px;
    /* Ajusta este valor según sea necesario */
    z-index: 1;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;

}

.popup {
    position: fixed;
    top: 53%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #f9f9f9;
    border: 1px solid #c2c0c0;
    padding: 20px;
    text-align: center;
    display: none;
    z-index: 2;
    border-radius: 10px;
    max-width: 70%;
    overflow-y: auto;
    /* Agregar barra de desplazamiento vertical */
    max-height: 77vh;
}

.popup-title {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 40px;
    margin-bottom: 10px;
    font-weight: 600;
}



.popup-text {
    font-size: 16px;
    margin-bottom: 10px;
}

.linea-pregunta {
    border-top-style: inset;
    border-top-width: 1px;
    border-top-color: rgb(171, 171, 172);
    border-right-style: none;
    border-bottom-style: none;
    border-left-style: none;
}

.card-content {
    border-radius: 10px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
    padding: 10px;
    margin: 120px;
    margin-left: 220px;
    margin-right: 220px;
    background-color: #fff;
    transition: all 0.3s ease-in-out;
    margin-top: 35px;
}

@media (max-width: 800px) {
    .card-content {
        border-radius: 10px;
        box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
        padding: 10px;
        margin: 20px;
        margin-top: 190px;
        background-color: #fff;
        transition: all 0.3s ease-in-out;
    }
}

@media (max-width: 768px) {
    .card-content {
        border-radius: 10px;
        box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
        padding: 10px;
        margin: 20px;
        background-color: #fff;
        transition: all 0.3s ease-in-out;
    }
}

@media (max-width: 428px) {
    .card-content {
        border-radius: 10px;
        box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
        padding: 10px;
        margin: 20px;
        margin-top: -60px;
        background-color: #fff;
        transition: all 0.3s ease-in-out;
    }
}

@media (max-width: 361px) {
    .card-content {
        border-radius: 10px;
        box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
        padding: 10px;
        margin: 20px;
        margin-top: -60px;
        background-color: #fff;
        transition: all 0.3s ease-in-out;
    }
}
.agrosena-register {
    margin-left: 30px;
    margin-top: 20px;
}

@media (max-width: 1200px) {
    .agrosena-register {
        margin-left: 20px;
        margin-top: 15px;
    }
}

@media (max-width: 992px) {
    .agrosena-register {
        margin-left: 15px;
        margin-top: 10px;
    }
}

@media (max-width: 768px) {
    .agrosena-register {
        margin-left: 10px;
        margin-top: 5px;
    }
}

@media (max-width: 576px) {
    .agrosena-register {
        margin-left: 20px;
        margin-top: 5px;
        margin-bottom: 80px;
    }
}
